PLASTEX(1)

NAME
plastex - a collection of Python frameworks that allow you to process LaTeX documents

SYNOPSIS

plastex mylatex.tex [--config=config-file | -c config-file] [--kpsewhich=program] [--renderer=renderer-name] [--theme=theme-name] [--copy-theme-extras | --ignore-theme-extras] [--base-url=url] [--index-columns=integer] [--title=string] [--toc-depth=integer] [--toc-non-files] [--counter=[ {counter-name} {initial-value}... ]] [--links=[ {key} [url] {title} ]] [--bad-filename-chars=string] [--bad-filename-chars-sub=string] [--dir=directory | -d directory] [--escape-high-chars] [--filename=filename] [--input-encoding=encoding] [--output-encoding=encoding] [--split-level=integer] [--image-base-url=url] [--image-compiler=program] [--enable-images | --disable-images] [--enable-image-cache | --disable-image-cache] [--imager=program] [--image-filenames=filename] [--vector-imager=program]

DESCRIPTION

This manual page documents the plastex command.

This manual page was written for the Debian(TM) distribution because the original program does not have a manual page.

plasTeX is a collection of Python frameworks that allow you to process LaTeX documents. This processing includes, but is not limited to, conversion of LaTeX documents to various document formats. Of course, it is capable of converting to HTML or XML formats such as DocBook and tBook, but it is an open framework that allows you to drive any type of rendering. This means that it could be used to drive a COM object that creates a MS Word Document.

The plasTeX framework allows you to control all of the processes including tokenizing, object creation, and rendering through API calls. You also have access to all of the internals such as counters, the states of “if” commands, locally and globally defined macros, labels and references, etc. In essence, it is a LaTeX document processor that gives you the advantages of an XML document in the context of a language as superb as Python.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

--config=config-file, -c config-file
    Specifies a configuration file to load. This should be the first option specified on the command-line.

--kpsewhich=program
    specifies the kpsewhich program to use to locate LaTeX files and packages.

--renderer=renderer-name
    specifies which renderer to use.

--theme=theme-name
    specifies which theme to use.

--copy-theme-extras, --ignore-theme-extras
    indicates whether or not extra files that belong to a theme (if there are any) should be copied to the output directory.

--base-url=url
    specifies a base URL to prepend to the path of all links.

--index-columns=integer
    specifies the number of columns to group the index into.

--sec-num-depth=integer
    specifies the section level depth that should appear in section numbers. This value overrides the value of the secnumdepth counter in the document.

--title=string
    specifies a title to use for the document instead of the title given in the LaTeX source document.

--toc-depth=integer
    specifies the number of levels to include in each table of contents.

--toc-non-files
    specifies that sections that do not create files should still appear in the table of contents. By default, only sections that create files will show up in the table of contents.

--counter=[ counter-name initial-value ... ]
    specifies the initial counter values.

--links=[ key optional-url title ]
    specifies links to be included in the navigation object. Since at least two values are needed in the links (key and title, with an optional URL), the values are grouped in square brackets on the command-line ([ ]).

--bad-filename-chars=string
    specifies all characters that should not be allowed in a filename. These characters will be replaced by the value in --bad-filename-chars-sub.

--bad-filename-chars-sub=string
    specifies a string to use in place of invalid filename characters (specified by the --bad-chars-sub option).

--dir=directory, -d directory
    specifies a directory name to use as the output directory.

--escape-high-chars
    some output types allow you to represent characters that are greater than 7-bits with an alternate representation to alleviate the issue of file encoding. This option indicates that these alternate representations should be used.

--filename=string
    specifies the templates to use for generating filenames. The filename template is a list of space separated names. Each name in the list is returned once.

--input-encoding=string
    specifies which encoding the LaTeX source file is in.

--output-encoding=string
    specifies which encoding the output files should use. Note: This depends on the output format as well. While HTML and XML use encodings, a binary format like MS Word, would not.

--split-level=integer
    specifies the highest section level that generates a new file. Each section in a LaTeX document has a number associated with its hierarchical level. These levels are -2 for the document, -1 for parts, 0 for chapters, 1 for sections, 2 for subsections, 3 for subsubsections, 4 for paragraphs, and 5 for subparagraphs. A new file will be generated for every section in the hierarchy with a value less than or equal to the value of this option. This means that for the value of 2, files will be generated for the document, parts, chapters, sections, and subsections.

--image-base-url=url
    specifies a base URL to prepend to the path of all images.

--image-compiler=program
    specifies which program to use to compile the images LaTeX document.

--enable-images, --disable-images
    indicates whether or not images should be generated.

--enable-image-cache --disable-image-cache
    indicates whether or not images should use a cache between runs.

--imager=program
    specifies which converter will be used to take the output from the LaTeX compiler and convert it to images. You can specify a space delimited list of names as well. If a list of names is specified, each one is verified in order to see if it works on the current machine. The first one that succeeds is used.

    You can use the value of “none” to turn the imager off.

--image-filenames=filename-template
    specifies the image naming template to use to generate filenames. This template is the same as the templates used by the --filename option

--vector-imager=program
    specifies which converter will be used to take the output from the LaTeX compiler and convert it to vector images. You can specify a space delimited list of names as well. If a list of names is specified, each one is verified in order to see if it works on the current machine. The first one that succeeds is used.

    You can use the value of “none” to turn the vector imager off.

AUTHOR

Carl Fürstenberg
    This manual page was written for the Debian(TM) system (but may be used by others), it borrows heavily on the documentation shipped with the plastex source package. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

        On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

COPYRIGHT
Copyright © 2007 Carl Fürstenberg